## sig11-mail 1.3

=== Makefile ===
# make the printenv command
#
SKELDIR=$(DESTDIR)/etc/skel
MUTTRCDIR=$(DESTDIR)/etc/Muttrc.d
LOCALBIN=$(DESTDIR)/usr/local/bin
PROGDIR=$(DESTDIR)/etc/amavis/filter
USRDIR=$(DESTDIR)/var/lib/amavis
PROCLOG=$(DESTDIR)/var/log/procmail
INSTALL=/usr/bin/install

all: sig11-filter

configure: sig11-filter

clean: sig11-filter

sig11-filter:

install:
	mkdir -p $(SKELDIR)
	mkdir -p $(MUTTRCDIR)
	mkdir -p $(LOCALBIN)
	mkdir -p $(PROGDIR)
	mkdir -p $(USRDIR)
	mkdir -p -m 775 -p $(PROCLOG)
	$(INSTALL) -o root -g root -m 644 skel.forward $(SKELDIR)/.forward
	$(INSTALL) -o root -g root -m 644 skel.procmailrc $(SKELDIR)/.procmailrc
	$(INSTALL) -o root -g root -m 644 maildir.rc $(MUTTRCDIR)/maildir.rc
	$(INSTALL) -o root -g root -m 755 spamdir_clean $(LOCALBIN)/spamdir_clean
	$(INSTALL) -o amavis -g amavis -m 755 feed-bayes $(PROGDIR)/feed-bayes
	$(INSTALL) -o amavis -g amavis -m 755 remove-mails $(PROGDIR)/remove-mails
	$(INSTALL) -o amavis -g amavis -m 755 ripspam $(PROGDIR)/ripspam
	$(INSTALL) -o amavis -g amavis -m 644 amavis.forward $(USRDIR)/.forward
	$(INSTALL) -o amavis -g amavis -m 644 amavis.procmailrc $(USRDIR)/.procmailrc

=== debian/changelog ===
sig11-mail (1.3) stable; urgency=low

  * Changed arch to all

 -- Michael Poetters <michael+debian@poetters.net>  Thu, 18 Mar 2010 22:37:31 +0100

sig11-mail (1.2.1) stable; urgency=low

  * Changed regex in remove-mails to match new file
    schemata of amavis (was: [0-9]* - now: [badh|virus]*)

 -- Michael Poetters <michael+debian@poetters.net>  Sat, 11 Jul 2009 20:10:55 +0200

sig11-mail (1.2) stable; urgency=low

  * Added log rotation for procmail user logs 

 -- Michael Poetters <michael+debian@poetters.net>  Wed, 10 Sep 2008 03:13:00 +0200

sig11-mail (1.1) stable; urgency=low

  * Initial Release.

 -- Michael Poetters <michael+debian@poetters.net>  Mon, 12 Nov 2007 19:38:54 +0100

=== debian/control ===
Source: sig11-mail
Section: base
Priority: optional
Maintainer: Michael Poetters <michael+debian@poetters.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: sig11-mail
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, amavisd-new, procmail, maildrop, perl
Conflicts: gntec-filter
Replaces: gntec-filter
Description: sig11.de amavis filtering tools for spam/ham
 Small filtering tool based on procmail/reformime to inject spam/ham mails
 into the bayesan database of spamassassin/amavisd-new

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/sig11-mail.sgml > sig11-mail.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sig11-mail.
	$(MAKE) DESTDIR=$(CURDIR)/debian/sig11-mail install


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
